package com.yizhi.application.feign;

import static com.yizhi.core.application.constant.FebsServerConstant.CLOUD_COMMUNITY_ALIYUN;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import io.swagger.annotations.ApiOperation;

@FeignClient(name = CLOUD_COMMUNITY_ALIYUN, contextId = "AliyunBizMessageClient", path = "/api/biz")
public interface AliyunBizMessageClient {

	@ApiOperation("处理biz message")
    @PostMapping("/handle/message/update")
    public void processBizMessage(@RequestParam(value = "batchSize", required = false)Integer batchSize);
}
