package com.yizhi.application.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("add_media_response_record")
public class AddMediaResponseRecordVO extends Model<AddMediaResponseRecordVO> {

    private Long id;

    private Long relationId;

    private String mediaId;

    private String errCode;

    private String errMsg;

    private String createTime;

    private String response;

    private Integer hasProcessed;

    private Date processTime;

    private Integer type;

    /**
     * 转码后的后缀
     */
    private String suffixType;

    private static final long serialVersionUID = 1L;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}