package com.yizhi.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

@Data
@Builder
@ApiModel("图片上传-获取上传地址和凭证-返回参数")
public class ImageUploadAddressAuthVo {

	private String imageId;
	
	private String imageUrl;
	
	@ApiModelProperty("上传地址")
	private String uploadAddress;
	
	@ApiModelProperty("上传凭证")
	private String uploadAuth;
	
	@Tolerate
	public ImageUploadAddressAuthVo() {
		
	}
}
