package com.yizhi.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

@Data
@Builder
@ApiModel("获取视频上传地址和凭证-返回参数")
public class VideoUploadAddressAuthVo {

	@ApiModelProperty("视频ID")
	private String videoId;
	
	@ApiModelProperty("视频上传地址")
	private String uploadAddress;
	
	@ApiModelProperty("视频上传凭证")
	private String uploadAuth;
	
	@Tolerate
	public VideoUploadAddressAuthVo() {
		
	}
}
