package com.yizhi.application.demo;

import com.alibaba.fastjson.JSONObject;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.mts.model.v20140618.QueryMediaListByURLRequest;
import com.aliyuncs.mts.model.v20140618.QueryMediaListByURLResponse;
import com.aliyuncs.profile.DefaultProfile;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

public class SimpleTranscode {

    private static String accessKeyId = "LTAIeBliOjnD6v25";
    private static String accessKeySecret = "qd6iAV7tUvumvEiXxv9IGJbSdHcnmH";

    private static String mpsRegionId = "cn-shanghai";
    private static String pipelineId = "e5545cec7d754001ac8df3eb991b2944";
    private static String templateId = "0ab46dbcb176406aa585eee7eace8237test";

    private static String ossLocation = "oss-cn-shanghai";
    private static String ossBucket = "wmy-transcoding-origin";
    private static String ossInputObject = "input.mp4";
    private static String ossOutputObject = "output.mp4";

    public static void main(String[] args) throws UnsupportedEncodingException {
//        // 创建DefaultAcsClient实例并初始化
//        DefaultProfile profile = DefaultProfile.getProfile(
//                mpsRegionId,      // 地域ID
//                accessKeyId,      // RAM账号的AccessKey ID
//                accessKeySecret); // RAM账号Access Key Secret
//        IAcsClient client = new DefaultAcsClient(profile);
//        // 创建API请求并设置参数
//        SubmitJobsRequest request = new SubmitJobsRequest();
//        // Input
//        JSONObject input = new JSONObject();
//        input.put("Location", ossLocation);
//        input.put("Bucket", ossBucket);
//        try {
//            input.put("Object", URLEncoder.encode(ossInputObject, "utf-8"));
//        } catch (UnsupportedEncodingException e) {
//            throw new RuntimeException("input URL encode failed");
//        }
//        request.setInput(input.toJSONString());
//        // Output
//        String outputOSSObject;
//        try {
//            outputOSSObject = URLEncoder.encode(ossOutputObject, "utf-8");
//        } catch (UnsupportedEncodingException e) {
//            throw new RuntimeException("output URL encode failed");
//        }
//        JSONObject output = new JSONObject();
//        output.put("OutputObject", outputOSSObject);
//        // Ouput->Container
//        JSONObject container = new JSONObject();
//        container.put("Format", "mp4");
//        output.put("Container", container.toJSONString());
//        // Ouput->Video
//        JSONObject video = new JSONObject();
//        video.put("Codec", "H.264");
//        video.put("Bitrate", "1500");
//        video.put("Width", "1280");
//        video.put("Fps", "25");
//        output.put("Video", video.toJSONString());
//        // Ouput->Audio
//        JSONObject audio = new JSONObject();
//        audio.put("Codec", "AAC");
//        audio.put("Bitrate", "128");
//        audio.put("Channels", "2");
//        audio.put("Samplerate", "44100");
//        output.put("Audio", audio.toJSONString());
//        // Ouput->TemplateId
//        output.put("TemplateId", templateId);
//        JSONArray outputs = new JSONArray();
//        outputs.add(output);
//        request.setOutputs(outputs.toJSONString());
//        request.setOutputBucket(ossBucket);
//        request.setOutputLocation(ossLocation);
//        // PipelineId
//        request.setPipelineId(pipelineId);
//        // 发起请求并处理应答或异常
//        SubmitJobsResponse response;
//        try {
//            response = client.getAcsResponse(request);
//            System.out.println("RequestId is:" + response.getRequestId());
//            if (response.getJobResultList().get(0).getSuccess()) {
//                System.out.println("JobId is:" + response.getJobResultList().get(0).getJob().getJobId());
//            } else {
//                System.out.println("SubmitJobs Failed code:" + response.getJobResultList().get(0).getCode() +
//                        " message:" + response.getJobResultList().get(0).getMessage());
//            }
//        } catch (ServerException e) {
//            e.printStackTrace();
//        } catch (ClientException e) {
//            e.printStackTrace();
//        }
        new SimpleTranscode().deal("http://wmy-transcoding-origin.oss-cn-shanghai.aliyuncs.com/", "mp4MultibitrateIn7c96a8ccd2c16a600139d4487fc6b222/123456.mp4");
    }


    public void deal(String inputOssHost, String inputOssObject) throws UnsupportedEncodingException {
        DefaultProfile profile = DefaultProfile.getProfile(
                mpsRegionId,      // 地域ID
                accessKeyId,      // RAM账号的AccessKey ID
                accessKeySecret); // RAM账号Access Key Secret
        DefaultAcsClient client = new DefaultAcsClient(profile);

        QueryMediaListByURLRequest request = new QueryMediaListByURLRequest();
        String rfc3986Object = encodeByRFC3986(inputOssObject);
        request.setFileURLs(inputOssHost + rfc3986Object);
        QueryMediaListByURLResponse response = null;
        try {
            response = client.getAcsResponse(request);
        } catch (ClientException e) {
            e.printStackTrace();
        }
        System.out.println(JSONObject.toJSONString(response.getMediaList()));


    }

    private String encodeByRFC3986(String object) throws UnsupportedEncodingException {
        StringBuilder builder = new StringBuilder();
        String[] segments = object.split("/");
        for (int i = 0; i < segments.length; i++) {
            builder.append(percentEncode(segments[i]));
            if (i != segments.length - 1) {
                builder.append("/");
            }
        }
        return builder.toString();
    }

    private static String percentEncode(String value) throws UnsupportedEncodingException {
        if (value == null)
            return null;
        return URLEncoder.encode(value, "UTF-8").replace("+", "%20").replace("*", "%2A").replace("%7E", "~");
    }
}