package com.yizhi.application.domain;

public class UploadVideoVo {

    private String title;      //视频标题(必选)
    private String description; //视频描述(可选)
    private Integer cateId;   //视频分类ID(可选)
    private String tags;    //视频标签,多个用逗号分隔(可选)
    private String coverURL;  //封面图片(可选)
    private String IP;
    private String fileName;  //1.本地文件上传时，文件名称为上传文件绝对路径，如:/User/sample/文件名称.mp4 (必选) 2.网络流上传时，文件名称为源文件名，如文件名称.mp4(必选)。任何上传方式文件名必须包含扩展名
    private String callback;   //设置上传完成后的回调URL(可选)
    private Integer taskNum = Integer.valueOf(1);  //可指定分片上传时的并发线程数，默认为1，(注：该配置会占用服务器CPU资源，需根据服务器情况指定）
    private Long partSize = 10485760L;  ///可指定分片上传时每个分片的大小，默认为10M字节
    private Boolean isShowWaterMark;  //是否使用默认水印

    public UploadVideoVo() {
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getCateId() {
        return cateId;
    }

    public void setCateId(Integer cateId) {
        this.cateId = cateId;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getCoverURL() {
        return coverURL;
    }

    public void setCoverURL(String coverURL) {
        this.coverURL = coverURL;
    }

    public String getIP() {
        return IP;
    }

    public void setIP(String IP) {
        this.IP = IP;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getCallback() {
        return callback;
    }

    public void setCallback(String callback) {
        this.callback = callback;
    }

    public Integer getTaskNum() {
        return taskNum;
    }

    public void setTaskNum(Integer taskNum) {
        this.taskNum = taskNum;
    }

    public Long getPartSize() {
        return partSize;
    }

    public void setPartSize(Long partSize) {
        this.partSize = partSize;
    }

    public Boolean getShowWaterMark() {
        return isShowWaterMark;
    }

    public void setShowWaterMark(Boolean showWaterMark) {
        isShowWaterMark = showWaterMark;
    }
}
