package com.yizhi.application.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum AliyunVideoStatusEnum {

	/**
	 * 上传中
	 */
	UPLOADING("Uploading"),
	/**
	 * 上传失败
	 */
	UPLOADFAIL("UploadFail"),
	/**
	 * 上传完成
	 */
	UPLOADSUCCES("UploadSucces"),
	/**
	 * 转码中
	 */
	TRANSCODING("Transcoding"),
	/**
	 * 转码失败
	 */
	TRANSCODEFAIL("TranscodeFail"),
	/**
	 * 屏蔽
	 */
	BLOCKED("Blocked"),
	/**
	 * 正常
	 */
	NORMAL("Normal")
	;
	private String value;
}
