package com.yizhi.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.yizhi.application.vo.MNSVO;

import static com.yizhi.core.application.constant.FebsServerConstant.CLOUD_COMMUNITY_ALIYUN;

/**
 * @ClassName AliMNSClient
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-10-18 11:47
 * @Version 1.0
 */
@FeignClient(name = CLOUD_COMMUNITY_ALIYUN, contextId = "AliMNSClient")
public interface AliMNSClient {

    @PostMapping("/insert")
       boolean insert(@RequestBody MNSVO record);

}
