package com.yizhi.application;


import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.amqp.RabbitAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author scotthu
 * @date 2018年2月28日
 */

@SpringBootApplication(exclude = {RabbitAutoConfiguration.class})
@EnableDiscoveryClient
@EnableFeignClients("com.yizhi")
@ComponentScan("com.yizhi")
public class AliyunApplication {

    public static void main(java.lang.String[] args) {
        SpringApplication.run(AliyunApplication.class, args);
    }

	/*@Bean
	public Queue createBizMessageQueue() {
		return new Queue(EventQueue.POINT, true, false, false);
	}
*/
}
