package com.yizhi.application.demo;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.mns.client.CloudAccount;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.exceptions.ServerException;
import com.aliyuncs.mts.model.v20140618.AddMediaRequest;
import com.aliyuncs.mts.model.v20140618.AddMediaResponse;
import com.aliyuncs.profile.DefaultProfile;
import org.apache.commons.lang.exception.ExceptionUtils;
public class AddMedia {
    //Step 1 .set region：cn-hangzhou、cn-shenzhen、cn-shanghai、cn-beijing
    private static final String REGION = "cn-shanghai";
    private static final String mtsEndpoint = "mts." + REGION + ".aliyuncs.com";

    private static final String mnsEndPoint = "http://1955327038947993.mns.cn-shanghai.aliyuncs.com/";
    //Step 2.set accesskey & keySecret
    private static String accessKeyId = "LTAIeBliOjnD6v25";
    private static String accessKeySecret = "qd6iAV7tUvumvEiXxv9IGJbSdHcnmH";
    private static DefaultAcsClient aliyunClient;

    private static CloudAccount account;

    private static String mediaWorkflowQueueName = "hua";
    static {

        account = new CloudAccount(accessKeyId, accessKeySecret, mnsEndPoint);

        try {
            DefaultProfile.addEndpoint(REGION, REGION, "Mts", mtsEndpoint);
        } catch (ClientException e) {
            System.out.print(ExceptionUtils.getStackTrace(e));
            System.exit(1);
        }
        aliyunClient = new DefaultAcsClient(DefaultProfile.getProfile(REGION, accessKeyId, accessKeySecret));
    }
    public static void main(String[] args) throws ClientException {
        AddMediaRequest request = new AddMediaRequest();
        request.setFileURL("http://wmy-transcoding-origin.oss-cn-shanghai.aliyuncs.com/123456.mp4");
        request.setMediaWorkflowId("322c16126e934d1aadfb211a10730a74");
        try {
            AddMediaResponse response = aliyunClient.getAcsResponse(request);
            System.out.println(JSONObject.toJSONString(response));
        } catch (ServerException e) {
            System.out.println("Code:" + e.getErrCode() + " Msg:" + e.getMessage());
        } catch (ClientException e) {
            System.out.println("Code:" + e.getErrCode() + " Msg:" + e.getMessage());
        }
    }
}