package com.yizhi.application.domain;

public class UploadVideoURLStreamVo {

    private String title;      //视频标题(必选)
    private String description; //视频描述(可选)
    private Integer cateId;   //视频分类ID(可选)
    private String tags;    //视频标签,多个用逗号分隔(可选)
    private String coverURL;  //封面图片(可选)
    private String IP;
    private String fileName;  // 网络流上传时，文件名称为源文件名，如文件名称.mp4(必选)。任何上传方式文件名必须包含扩展名
    private String callback;   //设置上传完成后的回调URL(可选)
    private Boolean isShowWaterMark;  //是否使用默认水印
    private String URL;  //网络文件url

    public UploadVideoURLStreamVo() {
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getCateId() {
        return cateId;
    }

    public void setCateId(Integer cateId) {
        this.cateId = cateId;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getCoverURL() {
        return coverURL;
    }

    public void setCoverURL(String coverURL) {
        this.coverURL = coverURL;
    }

    public String getIP() {
        return IP;
    }

    public void setIP(String IP) {
        this.IP = IP;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getCallback() {
        return callback;
    }

    public void setCallback(String callback) {
        this.callback = callback;
    }

    public Boolean getShowWaterMark() {
        return isShowWaterMark;
    }

    public void setShowWaterMark(Boolean showWaterMark) {
        isShowWaterMark = showWaterMark;
    }

    public String getURL() {
        return URL;
    }

    public void setURL(String URL) {
        this.URL = URL;
    }
}
